# stl_relops.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Inclusion of this file has been removed from all of the other STL headers for safety reasons, except std_utility.h. For more information, see the thread of about twenty messages starting with http://gcc.gnu.org/ml/libstdc++/2001-01/msg00223.html , or the FAQ at http://gcc.gnu.org/onlinedocs/libstdc++/faq/index.html#4_4 .

Short summary: the rel_ops operators should be avoided for the present.

Definition in file stl_relops.h.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::rel_ops

## Defines

- #define _STL_RELOPS_H

## Functions

- template<class _Tp> bool std::rel_ops::operator!= (const _Tp &__x, const _Tp &__y)
- template<class _Tp> bool std::rel_ops::operator<= (const _Tp &__x, const _Tp &__y)
- template<class _Tp> bool std::rel_ops::operator> (const _Tp &__x, const _Tp &__y)
- template<class _Tp> bool std::rel_ops::operator>= (const _Tp &__x, const _Tp &__y)